API Reference
/- Get Counterparty
Get Counterparties
Create Counterparty
Update Counterparty
Get Counterparty
This endpoint retrieves the details of a specific counterparty by its unique ID. It returns a single counterparty object corresponding to the provided counterparty_id.
Security
CodeBearer(Required scopes: customer.read)
- Sandbox serverhttps://customer-api.sandbox-api.jikoservices.com/api/v2/counterparties/{counterparty_id}/
- Production serverhttps://api.business.jiko.io/api/v2/counterparties/{counterparty_id}/
curl -i -X GET \
'https://customer-api.sandbox-api.jikoservices.com/api/v2/counterparties/{counterparty_id}/' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Successful Response
Any of:
An optional custom display name for the counterparty, useful for distinguishing multiple counterparties that share the same legal name.
string
Enum:"ach""wire""on_us""international_wire""crypto_wallet_address"
Discriminator
Value:"ach"
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "time_created": "2019-08-24T14:15:22Z", "status": "PENDING", "verification": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "description": "string", "type": "incoming_wire", "wire_id": "ee348d7b-d167-4ca8-80b9-4841e2d7e35c", "status": "PENDING_REVIEW" }, "display_name": "string", "type": "ach", "counterparty_name": "string", "institution_name": "string", "routing_number": "string", "account_number": "string", "account_type": "CHECKING", "object_type": "string" }